Community
Civil 3D Customization
Welcome to Autodesk’s AutoCAD Civil 3D Forums. Share your knowledge, ask questions, and explore popular AutoCAD Civil 3D Customization topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

when closing civil 3d. empty msgbox pops up

1 REPLY 1
Reply
Message 1 of 2
wang890
271 Views, 1 Reply

when closing civil 3d. empty msgbox pops up

ok about time to deal with this.

 

it's been bothering me for 5 years.

 

i have one dll i been making for many years with many programs inside. works fine and all. however when i close civil 3d i get the following message box (see attached)

 

i checked the load civil 3d app and release stuff no msgbox mentioned. all commented out.

 Public Function RunCvl() As Boolean

        Try

            Try
                oAcadApp = Application.AcadApplication
                oAcadDoc = oAcadApp.ActiveDocument
            Catch ex As Exception
                Dim AcadProg As System.Type = System.Type.GetTypeFromProgID("AutoCAD.Application")
                'oAcadApp = System.Activator.CreateInstance(AcadProg, True)
            End Try

            'If oAcadApp IsNot Nothing Then
            '    oAcadApp.Visible = True
            '    oAeccApp = New AeccApplicationClass
            '    oAeccApp.Init(oAcadApp)
            'End If
        Catch ex As Exception
            'MsgBox(ex.ToString)
            Return False
        End Try
        '================
        Try
            oAeccApp = CType(oAcadApp.GetInterfaceObject(sAeccAppProdID), AeccApplication)
            oAeccDoc = oAeccApp.ActiveDocument
            oAeccDb = oAeccApp.ActiveDocument.Database

            'get roadway objects
            oAeccRoadwayApp = CType(oAcadApp.GetInterfaceObject(sAeccRoadwayAppProdID), AeccRoadwayApplication)
            oAeccRoadwayDoc = CType(oAeccRoadwayApp.ActiveDocument, AeccRoadwayDocument)
            oAeccRoadwayDb = CType(oAeccRoadwayApp.ActiveDocument.Database, AeccRoadwayDatabase)

            'get pipe objects
            oAeccPipeApp = CType(oAcadApp.GetInterfaceObject(sAeccPipeAppProdID), AeccPipeApplication)
            oAeccPipeDb = CType(oAeccPipeApp.ActiveDocument.Database, AeccPipeDatabase)
            oAeccPipeDoc = CType(oAeccPipeApp.ActiveDocument, AeccPipeDocument)
        Catch
            'MsgBox("Civil 3D No doc!")
            Return False
        End Try

        Return True
    End Function


    Public Function ReleaseCivilObjects() As Boolean

        Try
            ''release roadway objects
            'FinalReleaseComObject(oAeccRoadwayDoc)
            'FinalReleaseComObject(oAeccRoadwayDb)
            'FinalReleaseComObject(oAeccRoadwayApp)

            ''release Aecc objects
            'FinalReleaseComObject(oAeccDoc)
            'FinalReleaseComObject(oAeccDb)
            'FinalReleaseComObject(oAeccApp)

            ''release Autocad objects
            'FinalReleaseComObject(oAcadDoc)
            'FinalReleaseComObject(oAcadApp)

            'ReleaseCivilObjects = True

            oAeccRoadwayDoc = Nothing
            oAeccRoadwayDb = Nothing
            oAeccRoadwayApp = Nothing
            oAeccDoc = Nothing
            oAeccDb = Nothing
            oAeccApp = Nothing
            oAcadDoc = Nothing
            oAcadApp = Nothing

        Catch ex As Exception
            Exit Function
        End Try

    End Function

 

Stantec
Dell Precision 5530, Prism M320PU, C3D 14/17/19
1 REPLY 1
Message 2 of 2
Jeff_M
in reply to: wang890

That message box is not caused by anything you have created. It has been a long standing issue encountered by many/most of us.

 

Others with same issue.

Jeff_M, also a frequent Swamper
EESignature

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Rail Community


 

Autodesk Design & Make Report